Skip to main content
PATCH
/
api
/
v1
/
conversations
/
{id}
Update Conversation
curl --request PATCH \
  --url https://api.member.dev/api/v1/conversations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "title": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "<string>",
      "hub_id": "<string>",
      "is_group": true,
      "last_message_at": "<string>",
      "last_message_preview": "<string>",
      "participants": [],
      "title": "<string>",
      "unread_count": 123
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
_ConversationPatchData · object
required

Response

Successful Response

data
JsonApiResource[ConversationResponseAttributes] · object
required
included
any[] | null
meta
Meta · object